Index: branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/HeuristicLab.Analysis-3.3.csproj
===================================================================
--- branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/HeuristicLab.Analysis-3.3.csproj	(revision 17228)
+++ branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/HeuristicLab.Analysis-3.3.csproj	(revision 18027)
@@ -105,6 +105,7 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="ALGLIB-3.7.0, Version=3.7.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
-      <HintPath>..\..\bin\ALGLIB-3.7.0.dll</HintPath>
+    <Reference Include="ALGLIB-3.17.0, Version=3.17.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\bin\ALGLIB-3.17.0.dll</HintPath>
       <Private>False</Private>
     </Reference>
Index: branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/MultidimensionalScaling/MultidimensionalScaling.cs
===================================================================
--- branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/MultidimensionalScaling/MultidimensionalScaling.cs	(revision 17228)
+++ branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/MultidimensionalScaling/MultidimensionalScaling.cs	(revision 18027)
@@ -72,6 +72,4 @@
       if (dimension != dissimilarities.Columns || coordinates.Rows != dimension) throw new ArgumentException("The number of coordinates and the number of rows and columns in the dissimilarities matrix do not match.");
 
-      double epsg = 1e-7;
-      double epsf = 0;
       double epsx = 0;
       int maxits = 0;
@@ -86,5 +84,5 @@
           try {
             alglib.minlmcreatevj(dimension - 1, c, out state);
-            alglib.minlmsetcond(state, epsg, epsf, epsx, maxits);
+            alglib.minlmsetcond(state, epsx, maxits);
             alglib.minlmoptimize(state, StressFitness, StressJacobian, null, new Info(coordinates, dissimilarities, i));
             alglib.minlmresults(state, out c, out rep);
Index: branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/Plugin.cs.frame
===================================================================
--- branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/Plugin.cs.frame	(revision 17228)
+++ branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/Plugin.cs.frame	(revision 18027)
@@ -28,5 +28,5 @@
   [Plugin("HeuristicLab.Analysis", "3.3.16.$WCREV$")]
   [PluginFile("HeuristicLab.Analysis-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.ALGLIB", "3.7.0")]
+  [PluginDependency("HeuristicLab.ALGLIB", "3.17.0")]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
   [PluginDependency("HeuristicLab.Common", "3.3")]
Index: branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/Statistics/Fitting/ExpFitting.cs
===================================================================
--- branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/Statistics/Fitting/ExpFitting.cs	(revision 17228)
+++ branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/Statistics/Fitting/ExpFitting.cs	(revision 18027)
@@ -41,9 +41,8 @@
     public void Calculate(double[] y, double[] x, out double p0) {
       if (y.Count() != x.Count()) {
-        throw new ArgumentException("The lenght of x and y needs do be equal. ");
+        throw new ArgumentException("The length of x and y needs do be equal. ");
       }
 
       double[] c = new double[] { 0.3 };
-      double epsf = 0;
       double epsx = 0.000001;
       int maxits = 0;
@@ -59,5 +58,5 @@
 
       alglib.lsfitcreatef(xx, y, c, diffstep, out state);
-      alglib.lsfitsetcond(state, epsf, epsx, maxits);
+      alglib.lsfitsetcond(state, epsx, maxits);
       alglib.lsfitfit(state, ExpFunc, null, null);
       alglib.lsfitresults(state, out info, out c, out rep);
Index: branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/Statistics/Fitting/LogFitting.cs
===================================================================
--- branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/Statistics/Fitting/LogFitting.cs	(revision 17228)
+++ branches/3026_IntegrationIntoSymSpace/HeuristicLab.Analysis/3.3/Statistics/Fitting/LogFitting.cs	(revision 18027)
@@ -45,5 +45,4 @@
 
       double[] c = new double[] { 0.3, 0.3 };
-      double epsf = 0;
       double epsx = 0.000001;
       int maxits = 0;
@@ -59,5 +58,5 @@
 
       alglib.lsfitcreatef(xx, y, c, diffstep, out state);
-      alglib.lsfitsetcond(state, epsf, epsx, maxits);
+      alglib.lsfitsetcond(state, epsx, maxits);
       alglib.lsfitfit(state, LogFunc, null, null);
       alglib.lsfitresults(state, out info, out c, out rep);
